[package]
name = "op_multihash"
repository = "https://gitlab.com/anagolay/operations/op_multihash"
homepage = "https://gitlab.com/anagolay/operations/op_multihash"
version = "0.1.0"
authors = [
  "Daniel Maricic <daniel@woss.io>",
  "Adriano Dalpane <adriano.dalpane@gmail.com>",
]
edition = "2021"
description = "Anagolay operation to generate multihash."
license = "Apache 2.0"


[features]
default = ["anagolay", "js", "std", "debug_assertions"]
anagolay = [
  "an_operation_support/anagolay",
  "multihash/scale-codec",
  "multihash/multihash-impl",
]
js = [
  "wasm-bindgen",
  "wasm-bindgen-futures",
  "js-sys",
  "an_operation_support/js",
  "config_hasher_sha2_256",
  "config_hasher_blake3_256",
]
std = ["serde", "an_operation_support/std"]
test = ["std", "config_hasher_blake3_256", "an_operation_support/test"]
debug_assertions = ["std", "console_error_panic_hook"]
config_hasher_sha2_256 = ["multihash/sha2"]
config_hasher_blake3_256 = ["multihash/blake3"]


[dependencies.an_operation_support]
default-features = false
git = "https://gitlab.com/anagolay/an_operation_support"

[dependencies.wasm-bindgen]
default-features = false
version = "0.2.80"
optional = true

[dependencies.wasm-bindgen-futures]
default-features = false
version = "0.4.30"
optional = true

[dependencies.js-sys]
default-features = false
version = "0.3.55"
optional = true

[dependencies.console_error_panic_hook]
default-features = false
version = "0.1.7"
optional = true

[dependencies.serde]
default-features = false
version = "1.0.130"
features = ["derive"]
optional = true

[dependencies.multihash]
default-features = false
version = "0.16.3"

[dev-dependencies.rusty-hook]
version = "0.11.2"

[dev-dependencies.serde_json]
version = "1.0.81"

[dev-dependencies.tokio]
version = "1.16.1"
features = ["full"]

[profile.release]
lto = true
strip = true
opt-level = 's'
panic = 'abort'
codegen-units = 1
